classification
Title: Wrong "See also" in symbol and token module docs
Type: Stage: resolved
Components: Documentation Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: davipo, docs@python, eric.araujo, python-dev, sandro.tosi
Priority: normal Keywords:

Created on 2011-05-03 06:45 by davipo, last changed 2012-01-05 18:09 by sandro.tosi. This issue is now closed.

Messages (4)
msg135017 - (view) Author: Davi Post (davipo) Date: 2011-05-03 06:45
The "See also" reference in the documentation for the token and symbol modules is no longer accurate. The "second example" mentioned was apparently removed in Python 2.7.

This leaves no explanation for how to use the symbol module.

I don't think this "See also" belongs in the token module at all. (It's in Python 2.5 and 2.6 as well.)

http://docs.python.org/release/2.7.1/library/symbol.html

See also:
Module parser
    The second example for the parser module shows how to use the symbol module.
msg135338 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-05-06 17:22
IIUC, the parser and token module somehow can be used together.  If so, the interlinks are okay, provided the text is revised to remove mention of the “second example”.  If I’m wrong, let’s remove the link.
msg150679 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-01-05 18:08
New changeset d8102ccc5bf7 by Sandro Tosi in branch '2.7':
Issue #11984: remove reference to parser, it's not showing symbol usage anymore
http://hg.python.org/cpython/rev/d8102ccc5bf7

New changeset b326d90ce9c9 by Sandro Tosi in branch '3.2':
Issue #11984: remove reference to parser, it's not showing symbol usage anymore
http://hg.python.org/cpython/rev/b326d90ce9c9

New changeset f375a1be031c by Sandro Tosi in branch 'default':
Issue #11984: merge with 3.2
http://hg.python.org/cpython/rev/f375a1be031c
msg150680 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2012-01-05 18:09
Hi Davi, thanks for your report! I've removed the reference from symbol to parser, given this last module doesn't show anymore how to user symbol, and it's encouraging to use ast module instead.
History
Date User Action Args
2012-01-05 18:09:41sandro.tosisetstatus: open -> closed

versions: - Python 3.1
nosy: + sandro.tosi

messages: + msg150680
resolution: fixed
stage: resolved
2012-01-05 18:08:38python-devsetnosy: + python-dev
messages: + msg150679
2011-05-06 17:22:58eric.araujosetnosy: + eric.araujo
messages: + msg135338
2011-05-03 06:45:50davipocreate